lkml.org 
[lkml]   [2011]   [Jul]   [28]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: [ANNOUNCE] 3.0-rt4
Date
> On Thu, 28 Jul 2011, Nikita V. Youshchenko wrote:
> > > The list of disabled config option is now:
> > >
> > > - CONFIG_HIGHMEM [ see the mess it created in 33-rt ]
> >
> > Could someone please point me to information on this?
> >
> > In our setup, we do use PREEMPT_RT + HIGHMEM, on .33 for now (but want
> > to upgrade because of new hardware support issues with .33). Up to
> > now, we did not face any issues related to PREEMPT_RT + HIGHMEM
> > combination.
>
> Yes, it works in 33-rt, but the way it's implemented is a horrible
> hack. I had not enough capacity to implement that cleanly for 3.0-rt,
> so I simply dropped it for now. The preliminary patches are there
> (mainly distangling the disable_pagefault logic), so it should not be
> that hard.

Thanks Thomas.

Since we do need PREEMPT_RT + HIGHMEM for our use case (*), I can ask one
of our engineers to look into this. But for that, I need to get better
understanding of what the issue is. Could you please explain in a few
sentences, or point me to some information from where I could get the
picture?

Nikita

(*) we need >1G of memory for data buffers, and have too much legacy
software components so moving to 64bit system is not practical within
available resource


\
 
 \ /
  Last update: 2011-07-28 10:27    [from the cache]
©2003-2011 Jasper Spaans